<?php 
//  include('../_cfg/config.php');
//  include('php_gene1.php');
 include('php_session.php');
?>
<?php $xtipo=strtolower($_POST['tipo']); ?>
<?php $xmodu=strtolower($_POST['modu']); ?>

<?php $poptions=''; ?>

    <?php 
if($xtipo=='info')
{
  
    if(mb_stristr('vtas.clie.carr',$xmodu))
    {
      $poptions.='enti,Cliente;';
      $poptions.='item,Producto;';
      $poptions.='vndd,Vendedor;';
      $poptions.='zsub,Zona;';
      $poptions.='lsub,Linea;';
      $poptions.='fmes,Mes;';
      $poptions.='fsema,Semana;';
      $poptions.='fecha,Dia;';
      $poptions.='ptov,Pto.Vta.;';
      $poptions.='docu,Documento;';
      $poptions.='idnum1,Transaccion;';
      $poptions.='iddet,Detalle;';
    }
    
    if(mb_stristr('comp.prov',$xmodu))
    {
      $poptions.='enti,Proveedor;';
      $poptions.='rise,RISE;';
      $poptions.='tpro,Tipo Prov.;';
      $poptions.='item,Producto;';
      $poptions.='ctas,Cuenta;';
      $poptions.='cair,Cod.Imp.Rta.;';
      $poptions.='suco,Cod.Sustento;';
      $poptions.='fmes,Mes;';
      $poptions.='docu,Documento;';
      $poptions.='idnum1,Transaccion;';
      $poptions.='iddet,Detalle;';
    }
    
    if(mb_stristr('inve.prod',$xmodu))
    {
      $poptions.='ssss,Saldos Generales;';
      $poptions.='ssbb,Saldos X Bodega;';
//       $poptions.='item,Producto;';
      $poptions.='evta,Egresos X Venta;';
      $poptions.='evtm,Egresos X Venta (Mes);';
      $poptions.='econ,Egresos X Consumo;';
      $poptions.='ecom,Egresos X Consumo (Mes);';
      $poptions.='nt13,Saldos X Comp/Impo;';
      $poptions.='st13,Transferencias;';
      $poptions.='docu,Documento;';
      $poptions.='bode,Bodegas;';
      $poptions.='ssii,Saldos Diarios;';
      $poptions.='reca,Recalcular;';
    }
    
    if(mb_stristr('caja.bcos.caba',$xmodu))
    {
      $poptions.='ssss,Saldos;';
      $poptions.='ssii,Saldos Diarios;';
//       $poptions.='ssww,Saldos Semanales;';
//       $poptions.='ssmm,Saldos Mensuales;';
      $poptions.='docu,Documento;';
      $poptions.='idnum1,Transaccion;';
//       $poptions.='diar,Diarios;';
    }
    
    if(mb_stristr('caja',$xmodu))
    {
      $poptions.='chnc,Cheq.Recibidos NO Cob.;';
    }
    
    if(mb_stristr('bcos',$xmodu))
    {
      $poptions.='chnc,Cheq.Girados NO Cob.;';
    }
    
    if(mb_stristr('cont',$xmodu))
    {
//       $poptions.='sald,Saldos;';
      $poptions.='ssss,Sumas y Saldos;';
      $poptions.='ssnn,Sumas y Saldos (x Nivel);';
      $poptions.='sscc,Saldos (Comparativo);';
      $poptions.='lldd,Libro Diario;';
//       $poptions.='xxdd,Diarios  ;';
      $poptions.='ssff,Situación Financiera;';
      $poptions.='sfcc,Situación Financiera (Comparativo);';
      $poptions.='rrii,Resultado Integral;';
      $poptions.='ricc,Resultado Integral (Comparativo);';
      $poptions.='ssii,Saldos Diarios;';
//       $poptions.='ccpp,Patrimonio;';
//       $poptions.='ffee,Efectivo;';
    }
    
    if(mb_stristr('nomi',$xmodu))
    {
      $poptions.='enti,Empleado;';
      $poptions.='nvdd,Novedad;';
      $poptions.='iddet,Detalle;';
//       $poptions.='envd,Detalles;';
//       $poptions.='rolp,Roles;';
    }

    if(mb_stristr('cxco.',$xmodu))
    {
      $poptions.='ssee,Cliente;';
      $poptions.='ssdd,Documento;';
      $poptions.='ssss,Cliente SS;';
      $poptions.='lldd,Detalle;';
      $poptions.='anti,Anticipos;';
    }

    if(mb_stristr('cxpa.',$xmodu))
    {
      $poptions.='ssee,Proveedor;';
      $poptions.='ssdd,Documento;';
      $poptions.='ssss,Proveedor SS;';
//       $poptions.='ssdd,Documento;';
      $poptions.='lldd,Detalle;';
      $poptions.='anti,Anticipos;';
    }

    if(mb_stristr('retc.retp.',$xmodu))
    {
      $poptions.='porc,TODOS;';
      $poptions.='cair,RENTA;';
      $poptions.='iva,I.V.A.;';
      $poptions.='idnum1,Transaccion;';
      $poptions.='ride,RIDE;';
      if($cfg_empr=='hshe')
      {
        $poptions.='zeus,ZEUS;';
      }
      
    }

    if(mb_stristr('sri1',$xmodu))
    {
      $poptions.='sria,Anexo Transaccional;';
//       $poptions.='sri4,Formulario 104;';
    }

    if(mb_stristr('impo.',$xmodu))
    {
      $poptions.='cost,Costos;';
    }

    if(mb_stristr('atvd.',$xmodu))
    {
      $poptions.='iddet,Detalle;';
      $poptions.='enti,Empleado;';
      $poptions.='csub1,C.Costo;';
      $poptions.='enti2,Cliente;';
      $poptions.='asub,Servicio;';
      $poptions.='nvdd,Novedad;';
      $poptions.='reca,Recalcular;';
      $poptions.='dist,Distribuir;';
    }


}  


if($xtipo=='proc')
{
    if(mb_stristr('vtas.comp.caja.bcos.nomi.inve.prod.dxco.dxpa.retc.retp',$xmodu))
    {
      $poptions.='contab,Contabilizar;';
    }
  
    if(mb_stristr('vtas.comp.',$xmodu))
    {
      $poptions.='invent,Inventario;';
    }
  
    if(mb_stristr('cxco.cxpa',$xmodu))
    {
      $poptions.='ajuste,Ajuste Milesimos;';
    }
  
    if(mb_stristr('cont',$xmodu))
    {
      $poptions.='-,-;';
      $poptions.='diariotr,Diario TR;';
    }
    
    if(mb_stristr('comp',$xmodu))
    {
//       $poptions.='asigctas,Asignar Cuentas;';
    }
    


    
}  
  

    $poptions=explode(';',$poptions);

    for ($copt=0; $copt<count($poptions); $copt++)
    { 
     $optval=explode(',',$poptions[$copt]); 
     $seloptv1= $optval[0]; 
     $seloptv2= $optval[1]; 
     $xlong=strlen($seloptv2);
     if($xlong>$plong){$plong=$xlong;}
    }
  

  ?>
<resultado>
  <options>
  <?php
		for ($copt=0; $copt<count($poptions); $copt++)
    { 
			 $optval=explode(',',$poptions[$copt]);
			 $seloptv1= $optval[0];
			 $seloptv2= $optval[1];
			 if($seloptv2==""){$seloptv2=$seloptv1;}
			 if($seloptv1!="")
       {echo '<option value="'.$seloptv1.'">'.$seloptv2.'</option>';} 
    }
 ?>
  </options>
</resultado>


